com.informix.jdbcx

## Class IfxSqliConnReUsableConnection

- java.lang.Object
- - com.informix.jdbc.IfxSqliConnect
  - - com.informix.jdbcx.IfxSqliConnReUsableConnection

All Implemented Interfaces:
  Connection2, IfmxConnection, IfxConnection, IfxReUsableConnection, java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class IfxSqliConnReUsableConnection
    extends IfxSqliConnect
    implements IfxReUsableConnection

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxSqliConnect

`ANSIMODE, ANSIWARN, asfconn, cleaner, cleanerMaximumDelay, cleanerMinimumDelay, cleanerZeroPointPercentage, ConnEst, connInfo, dbName, delimIdent, encoption, externalVersion, fileList, freeclobwithrs, GclEnv, HASLOG, ifxAllowOut, ifxtojava, implicitCache, isOpen, javatoifx, jdbcGeneratedSavepointId_, jdbcGeneratedSavepointNamePrefix__, Noansiwarn, preparedStatementClosedCount, preparedStatementCount, preparedStatementReusedCount, productName, proto, protoClassName, queueOfConnections, replCheck, socketTimedOut, softCloseDone, stmtList, stmtReferenceQueue, stmtWeakReferenceCloseCount, svptList, useCaseCapName, usePut, userName`

### Fields inherited from interface com.informix.jdbc.IfxConnection

`LOGGING_MODE, MODE_ANSI, NO_DATABASE, NO_LOGGING_MODE, TRANSACTION_LAST_COMMITTED`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`IfxSqliConnReUsableConnection()`
`IfxSqliConnReUsableConnection(java.lang.String luser, java.lang.String lpasswd, IfxPooledConnection fromWhom, java.lang.String url, java.util.Properties prop, java.lang.String dbname)`

### Method Summary

Methods
`void` `close()` In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.
`protected void` `finalize()`
`void` `hardClose()` This is close on the connection in case of error.

### Methods inherited from class com.informix.jdbc.IfxSqliConnect

`abort, addToBlobList, addToFileList, addUDTInfo, changeStmtId, clearTransactions, clearWarnings, closeAllResultSets, closeAllStatements, commit, createArrayOf, createBlob, createClob, createNClob, createProto, createSQLXML, createStatement, createStatement, createStatement, createStruct, deleteAllFiles, doesBlobNeedPurge, endMetaDataQuery, freeStatementWeakReferences, getAutoCommit, getAutoFree, getBlobCacheSize, getCachedPreparedStatement, getCatalog, getclEncoding, getClientInfo, getClientInfo, getclLocale, getclLocaleProp, getConnClassName, getConnectionDbName, getDatabaseProductVersion, getDatabaseType, getdbCentury, getdbDate, getdbEncoding, getdbLocale, getdbLocaleProp, getDbName, getDbProductName, getdbTime, getdbTodayDate, getdbTodayStart, getDbVersion, getFetchBufSize, getFPCacheFParam, getFPCacheRoutineId, getGeneratedCursor, getglDate, getglDateTime, getHDRType, getHoldability, getIFX_USEPUT, getIsBigInt, getIsBigSerial, getJDBCTempDir, getJDBCVersion, getLOMode, getMapFloat, getMapReal, getMaxLvarcharSize, getMetaData, getNetworkTimeout, getOPTOFC, getPreparedStatementCache, getProto, getProtoClassName, getProtoTrace, getSchema, getSqlLogicalChar, getSQLStatementOffset, getStatementTimer, getTrace, getTransactionIsolation, getTrimTrailingSpaces, getTypeMap, getUDTInfo, getUDTInfo, getUDTInfo, getUDTInfo, getURL, getuseDtenv, getUsePut, getUserName, getWarnings, getXnameByXid, inXATransaction, is2GBFetchBufferSupported, is4ByteOffsetSupported, is90303, is9301, isANSI, isANSIJoin, isAutoFree, isAutoGeneratedKeysSupported, isBigintSupported, isClosed, isCommitEnabled, isCommitNeeded, isDbOpen, isDelimIdentSet, isDescribeInputSupported, isDirect, isFPDescribeSupported, isGLS, isHDREnabled, isIEEEM, isInUserTransaction, IsLastCommittedSupported, isLongID, isLvcGtThan2kSupported, isMultipleUdrInOutSupported, isMultipleUdrOutSupported, isNamedParametersSupported, isOnLine, isOnLine5SER, isPAMAuthentication, isPrivateServerEnabled, isReadOnly, isRemove64KLimitSupported, isReplCheckColumnEnabled, isSavepointSupported, isSQBatchSupported, isSysmaster, isUSVER, isValid, isWrapperFor, isXAConnection, isXPS, isXPSVER8_40, isXPSVER8_50, loadUDTba, lockSession, markCursorsToClosed, markStatementAsReleased, nativeSQL, parseIfxLocale, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseBlob, releaseSavepoint, removeFromBlobTable, removeFromStmtList, removeSavepointFromList, resetDatabaseProperties, retCapName, returnEnc, rollback, rollback, scrubConnection, scrubConnectionReleasesAllStatements, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setCommitEnabled, setDatabaseProductVersion, setFPCacheInfo, setHoldability, setIFX_USEPUT, setIsBigInt, setIsBigSerial, setLocale, setNetworkTimeout, SetPrimEVars, setReadOnly, setReplCheckColumnEnabled, setSavepoint, setSavepoint, setSavepointUnique, setSchema, setServerIsolationLevel, setStructInfo, setTransactionIsolation, setTransactionIsolation, setTxnIsolationLvl, setTypeMap, startMetaDataQuery, testLockSession, unlockSession, unwrap, xaSetSerWarnFlags`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxSqliConnReUsableConnection

    public IfxSqliConnReUsableConnection()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### IfxSqliConnReUsableConnection

    public IfxSqliConnReUsableConnection(java.lang.String luser,
                                 java.lang.String lpasswd,
                                 IfxPooledConnection fromWhom,
                                 java.lang.String url,
                                 java.util.Properties prop,
                                 java.lang.String dbname)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### close

    public void close()
               throws java.sql.SQLException

Description copied from class: `IfxSqliConnect`
In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.

Note: A Connection is automatically closed when it is garbage collected. Certain fatal errors also result in a closed Connection.

Specified by:
  `close` in interface `IfxReUsableConnection`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Connection`
Overrides:
  `close` in class `IfxSqliConnect`
Throws:
  `java.sql.SQLException`

#### hardClose

    public void hardClose()
                   throws java.sql.SQLException

Description copied from interface: `IfxReUsableConnection`
This is close on the connection in case of error. Call the close method of sqli to do all the cleanup. If there is an exception it will be thrown above and hopefully the connection manager will take care of the exception. Most probably the connection will be chucked out from the pool when this method hardClose is called.

Specified by:
  `hardClose` in interface `IfxReUsableConnection`
Throws:
  `java.sql.SQLException`

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `IfxSqliConnect`